std::future::share(3)

NAME
std::future::share - std::future::share

Synopsis
   std::shared_future<T> share() noexcept;
   Transfers the shared state of *this, if any, to a std::shared_future object.
   Multiple std::shared_future objects may reference the same shared state, which is
   not possible with std::future.
   After calling share on a std::future, valid() == false.

Parameters
   (none)

Return value
   A std::shared_future object containing the shared state previously held by *this, if
   any, constructed as if by std::shared_future<T>(std::move(*this)).

Example
    This section is incomplete
    Reason: no example
  Defect reports
   The following behavior-changing defect reports were applied retroactively to
   previously published C++ standards.
      DR Applied to Behavior as published Correct behavior
   LWG 2556 C++11 share() requires valid() to be requirement removed and made
                       true noexcept

See also
   shared_future waits for a value (possibly referenced by other futures) that is set
   (C++11) asynchronously
                 (class template)